<div class="container-fluid" xmlns:th="http://www.thymeleaf.org">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header" th:text="#{provisioning.header.properties}">Provisioning properties</h1>
        </div>

        <div class="col-lg-12">


            <form role="form" method="POST" action="/views/provisioning">

                <div class="form-group" th:each="prop : ${props}">
                    <label th:text="${prop.propName}">Text Input</label>


                    <span th:if="${prop.propType == 'string'}">
                        <input class="form-control" type="text" th:value="${prop.propValue}" th:name="${prop.propName}"/>
                    </span>

                    <span th:if="${prop.propType == 'int'}">
                        <input class="form-control" type="number" th:value="${prop.propValue}" th:name="${prop.propName}"/>
                    </span>

                    <span th:if="${prop.propType == 'float'}">
                        <input class="form-control" type="number" th:value="${prop.propValue}" th:name="${prop.propName}"/>
                    </span>

                    <span th:if="${prop.propType == 'boolean'}">
                        <select class="form-control" th:name="${prop.propName}">
                            <option value="true" th:selected="${prop.propValue == 'true'}">True</option>
                            <option value="false" th:selected="${prop.propValue == 'false'}">False</option>
                        </select>
                    </span>

                    <p class="help-block">
                        <span th:text="${prop.propDescription}">Example block-level help text here.</span>
                        <span th:if="${prop.propEnum != null}"> 
                            Posible values:<span th:text="${prop.propEnum}"></span>                            
                        </span>
                    </p>
                    Default value:<span th:text="${prop.propDefault}"></span>
                    <hr/>
                </div>
                <button type="submit" class="btn btn-success" th:text="#{provisioning.btn.save}">Save</button>
                <a href="views/provisioning/default" class="btn btn-info pull-right" th:text="#{provisioning.btn.restore}">Reset defaults</a>
            </form>

            <br/>
            <br/>
            <br/>
            <br/>
        </div>
    </div>
</div>

